/* main {
    width: 100%;
    text-align: center;
} */
:root {
  /* colors */
  --blue-color-dark: #141828;
  --white-color: #ffffff;
  --grey-hover-button: #333333;
  --grey-hover: #444444;
  --grey-border: #dcdcdc;
  --red-color: #ff0037;
  --blue-color-light: #3399cc;
  --grey-footer: #222222;
  --twitter-blue: #2ca6df;
  --facebook-blue: #3b5999;
  --linkedin-blue: #067cb6;
  --youtube-red: #b31217;
}

.section-billing {
  padding: 1rem 1rem 0;
  max-width: 1140px;
  width: 100%;
  margin-bottom: 6rem;
  position: relative;
}

.update-billing-text {
  margin: 1rem 2rem;
  text-align: center;
  font-size: 1.2rem;
}

.credit-radio {
  /* display: flex; */
  text-align: center;
  margin-bottom: 0.3rem;
  /* transform: scale(2); */
}
.credit-radio input {
  width: 1.1rem;
  height: 1.1rem;
}
.credit-radio label {
  font-size: 1.2rem;
  font-weight: 600;
}

.cc-images {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
}
.cc-image {
  object-fit: cover;
  border: 1px solid var(--white-color);
  border-radius: 5px;

  overflow: hidden;
}

.billing-form {
  max-width: 400px;
  width: 100%;
  margin: 2rem auto;
  /* text-align: right; */
  position: relative;
}
.required {
  padding-left: 1rem;
  padding-bottom: 0.5rem;
}

.info-container {
  /* max-height: 30px;
    height: 100%; */
  display: flex;
  gap: 0.5rem;
  align-items: center;
  margin-bottom: 2px;
  /* text-align: left center; */
}
.info-container label {
  min-width: 11rem;
  font-weight: 700;
  font-size: 0.8rem;
  /* text-align: center; */

  background-color: var(--grey-border);
  padding: 0.4rem 0.3rem 0.2rem;
}
.info-container input,
.dropdown-billing {
  height: 25px;
  width: 100%;
  border: 1px solid var(--grey-hover);
  background-color: var(--grey-border);
  padding-left: 0.2rem;
}
.info-container input {
    background-color: var(--white-color);

}
.checkbox-container {
  /* text-align: center; */
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.3rem;
  margin: 0.4rem 0;
}
.info-match {
  /* width: 100%; */
  font-weight: 600;
  text-align: center;
  margin-block: 0.4rem;
}

.form-notice {
  padding-block: 1rem;
}
.form-notice strong {
  font-weight: 900;
}

.submit-btn {
  /* text-align: right; */
  cursor: pointer;
  display: flex;
  gap: 1rem;
  align-items: center;
  background-color: var(--blue-color-light);
  /* overflow: hidden; */
  border: 1px solid var(--white-color);
  border-radius: 3rem;

  position: absolute;
  right: 0;
}
.submit-link {
  cursor: pointer;
  font-size: 1rem;
  padding-left: 0.5rem;
  color: var(--white-color);
}

.submit-btn .arrow-right {
  background-color: var(--blue-color-light);
  font-size: 1.2rem;
  border: 1px solid var(--white-color);
  border-radius: 2rem;
  color: var(--white-color);
  cursor: pointer;
}



@media screen and (min-width: 1000px){
    .section-billing {
        margin-inline: auto;
        max-width: 1140px;
        width: 100%;
    }
    .billing-form {
        margin-inline: 4rem;
        max-width: 700px;
    }
    .credit-radio,
    .update-billing-text,
    .cc-images {
        max-width: 800px;
    }
}